## createrepo-c 0.10.3

=== debian/changelog ===
createrepo-c (0.10.3) unstable; urgency=low

  * Compatible with createrepo package

 -- Biao Wang <biao716.wang@samsung.com> Fri, 16  Oct 2020 11:07:00 +0900

createrepo-c (0.10.2) unstable; urgency=low

  * Add module path for _createrepo.so
  * Fix pylint error for createrepo_c
  * Remove filter function cr_is_primary to keep the same behavior as createrepo
  * Fix ubuntu16.04 import _createrepo_c error

 -- Biao Wang <biao716.wang@samsung.com> Wed, 27  May 2020 11:07:00 +0900

createrepo-c (0.10.1) unstable; urgency=low

  * Enable RPM_WEAK_DEPS_SUPPORT and ENABLE_LEGACY_WEAKDEPS

 -- SoonKyu Park <sk7.park@samsung.com> Sat, 25  Mar 2017 11:07:00 +0900

createrepo-c (0.10.0) unstable; urgency=low

  * add debian 

 -- Shuai Fu <shuai01.fu@samsung.com> Wed, 09 Jul 2014 10:09:30 +0800
