=== debian/control ===
Source: createrepo-c
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper (>= 7.0.15), cdbs, libpython2.7, python-dev, dh-python, python-docutils, cmake, dpatch, libbz2-dev, librpm-dev, liblzma-dev, libcurl3 | libcurl4, libcurl4-openssl-dev, libmagic-dev, libexpat1, doxygen, pkg-config, libglib2.0-dev, libssl-dev
Standards-Version: 0.10.3
Homepage: http://www.tizen.org

Package: createrepo-c
Architecture: i386 amd64
Depends:  ${python:Depends},
 rpm,
 python-rpm,
 python-urlgrabber,
 cpio,
 bzip2,
 libpython2.7,
 libcurl3 | libcurl4,
 libxml2,
 gzip,
 createrepo-c-devel (= ${binary:Version}),
 libglib2.0-0,
 libglib2.0-data
Description: image creator for Linux distributions
  The tool createrep is used to ppfarm test

Package: createrepo-c-devel
Architecture: i386 amd64
Depends:  ${python:Depends},
 rpm,
 python-rpm,
 python-urlgrabber,
 cpio,
 bzip2,
 libcreaterepo-c,
 gzip
Description: image creator for Linux distributions
  The tool createrep is used to ppfarm test

Package: libcreaterepo-c
Architecture: i386 amd64
Depends:  ${python:Depends},
 cpio,
 bzip2,
 libcurl3 | libcurl4,
 libxml2,
 gzip,
 libglib2.0-0,
 libglib2.0-data
Description: image creator for Linux distributions
  The tool createrep is used to ppfarm test
