## createrepo-c 0.10.4

=== debian/changelog ===
createrepo-c (0.10.4) unstable; urgency=low

  * Fix setup of logging (log domains) (RhBug:1645897)

 -- Biao Wang <biao716.wang@samsung.com> Mon, 05  Jul 2021 11:07:00 +0900
