## createrepo-c 0.16.1

=== debian/changelog ===
createrepo-c (0.16.1-1) unstable; urgency=medium

  * Initial release. Closes: #912338

 -- Peter Pentchev <roam@debian.org>  Sun, 18 Oct 2020 18:05:53 +0300
