=== debian/control ===
Source: createrepo-c
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 bash-completion,
 check <!nocheck>,
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libbz2-dev,
 libcurl4-openssl-dev,
 libdrpm-dev,
 libglib2.0-dev,
 liblzma-dev,
 libmagic-dev,
 libmodulemd-dev,
 librpm-dev,
 libssl-dev,
 libsqlite3-dev,
 libxml2-dev,
 libzck-dev,
 python3-dev,
 python3-nose <!nocheck>,
 rpm <!nocheck>,
 zchunk <!nocheck>,
 zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://github.com/rpm-software-management/createrepo_c/
#Vcs-Git: https://gitlab.com/confget/confget.git -b debian
#Vcs-Browser: https://gitlab.com/confget/confget/tree/debian
Rules-Requires-Root: no

Package: createrepo-c
Architecture: any
Depends:
 libcreaterepo-c0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: foreign
Description: tool to create RPM repository metadata (C implementation)
 The createrepo_c tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package is similar to the apt-ftparchive or reprepro commands, but for
 working with RPM repositories.

Package: libcreaterepo-c0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for creating RPM repository metadata
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains a shared library for managing RPM repositories.

Package: libcreaterepo-c-dev
Section: libdevel
Architecture: any
Depends:
 libcreaterepo-c0 (= ${binary:Version}),
 libbz2-dev,
 libcurl4-openssl-dev,
 libglib2.0-dev,
 liblzma-dev,
 libmagic-dev,
 libpython3-dev,
 librpm-dev,
 libssl-dev,
 libsqlite3-dev,
 libxml2-dev,
 python3-nose,
 zlib1g-dev,
 ${misc:Depends}
Multi-Arch: same
Description: library for creating RPM repository metadata (development)
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains the header files needed for developing programs
 using the libcreaterepo-c library.

Package: python3-createrepo-c
Section: python
Architecture: any
Depends:
 libcreaterepo-c0 (= ${binary:Version}),
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: foreign
Description: library for creating RPM repository metadata (Python bindings)
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains a Python module for interfacing with
 the libcreaterepo-c library.
