## createrepo-c 0.16.2

=== debian/changelog ===
createrepo-c (0.16.2-1build1) hirsute; urgency=medium

  * No-change rebuild for rpm soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Jan 2021 11:26:12 +0100

createrepo-c (0.16.2-1) unstable; urgency=medium

  * Add the python-path patch to use /usr/bin/python3 for tests and
    examples.
  * Declare compliance with Policy 4.5.1 with no changes.
  * Add a trivial git-buildpackage config file.
  * New upstream version.

 -- Peter Pentchev <roam@debian.org>  Sun, 29 Nov 2020 18:23:14 +0200
