## createrepo-c 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 PROJECT (createrepo_c C)
-CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
+CMAKE_MINIMUM_REQUIRED (VERSION 2.8.10)
+
+include(GNUInstallDirs)
 
 set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
 set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS} -ggdb -g -Wall -Wextra -Og")
@@ -14,6 +16,14 @@
 ENDIF()
 
 
+option(BUILD_LIBCREATEREPO_C_SHARED "Build libcreaterepo_c as a shared library" ON)
+if(NOT BUILD_LIBCREATEREPO_C_SHARED)
+  set(CMAKE_POSITION_INDEPENDENT_CODE 1)
+endif()
+
+option(CREATEREPO_C_INSTALL_DEVELOPMENT "Install createrepo_c development files." ON)
+option(CREATEREPO_C_INSTALL_MANPAGES "Install createrepo_c man-pages." ON)
+
 # Add path with own cmake modules
 
 INCLUDE_DIRECTORIES (${CMAKE_SOURCE_DIR})
@@ -25,7 +35,6 @@
 
 find_package(BZip2 REQUIRED)
 find_package(CURL REQUIRED)
-find_package(EXPAT REQUIRED)
 find_package(GLIB2 REQUIRED)
 find_package(GTHREAD2 REQUIRED)
 find_package(Libmagic REQUIRED)
@@ -37,8 +46,12 @@
 
 # Add include dirs
 
+include_directories(${BZIP2_INCLUDE_DIRS})
+include_directories(${CURL_INCLUDE_DIRS})
 include_directories(${GLIB2_INCLUDE_DIRS})
 include_directories(${LIBXML2_INCLUDE_DIR})
+include_directories(${OPENSSL_INCLUDE_DIR})
+include_directories(${ZLIB_INCLUDE_DIR})
 
 
 IF (RPM_PATH)
@@ -69,37 +82,38 @@
     message("Using system RPM: ${RPMDB_LIBRARY}")
 ENDIF (RPM_PATH)
 
-# SuSE legacy weak deps support
-OPTION (ENABLE_LEGACY_WEAKDEPS "Enable legacy SUSE weakdeps support?" OFF)
+# SuSE/Mageia/Mandriva legacy weak deps support
+OPTION (ENABLE_LEGACY_WEAKDEPS "Enable legacy SUSE/Mageia/Mandriva weakdeps support?" ON)
 IF (ENABLE_LEGACY_WEAKDEPS)
     ADD_DEFINITIONS("-DENABLE_LEGACY_WEAKDEPS=1")
 ENDIF (ENABLE_LEGACY_WEAKDEPS)
 
 # drpm
-OPTION (ENABLE_DRPM "Enable delta RPM support?" ON)
+OPTION (ENABLE_DRPM "Enable delta RPM support?" OFF)
 IF (ENABLE_DRPM)
-    if (DRPM_PATH)
-        include_directories (${DRPM_PATH}/)
-        find_library (DRPM_LIBRARY NAMES drpm PATHS ${DRPM_PATH}/ NO_DEFAULT_PATH)
-        set(CR_DELTA_RPM_SUPPORT "1")
-        message("Using custom DRPM: ${DRPM_LIBRARY}")
-    ELSE (DRPM_PATH)
-        FIND_LIBRARY (DRPM_LIBRARY NAMES drpm libdrpm.so.0)
-        IF (NOT DRPM_LIBRARY)
-            MESSAGE("No DRPM library installed")
-        ELSE (NOT DRPM_LIBRARY)
-            MESSAGE("Using DRPM library: ${DRPM_LIBRARY}")
-            set(CR_DELTA_RPM_SUPPORT "1")
-        ENDIF (NOT DRPM_LIBRARY)
-    endif (DRPM_PATH)
-
-    IF (CR_DELTA_RPM_SUPPORT)
-        ADD_DEFINITIONS("-DCR_DELTA_RPM_SUPPORT")
-    ENDIF (CR_DELTA_RPM_SUPPORT)
+    pkg_check_modules(DRPM REQUIRED drpm>=0.4.0)
+    include_directories (${DRPM_INCLUDE_DIRS})
+    ADD_DEFINITIONS("-DCR_DELTA_RPM_SUPPORT")
 ENDIF (ENABLE_DRPM)
 
 # option to enable/disable python support
 OPTION (ENABLE_PYTHON "Enable python support?" ON)
+
+OPTION (WITH_ZCHUNK "Build with zchunk support" ON)
+IF (WITH_ZCHUNK)
+    pkg_check_modules(ZCK REQUIRED zck)
+    include_directories(${ZCK_INCLUDE_DIRS})
+    SET (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} -DWITH_ZCHUNK")
+    SET (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS_DEBUG} -DWITH_ZCHUNK")
+ENDIF (WITH_ZCHUNK)
+
+OPTION (WITH_LIBMODULEMD "Build with libmodulemd support" ON)
+IF (WITH_LIBMODULEMD)
+	find_package(LIBMODULEMD REQUIRED)
+	include_directories(${LIBMODULEMD_INCLUDE_DIRS})
+	SET (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} -DWITH_LIBMODULEMD")
+    SET (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS_DEBUG} -DWITH_LIBMODULEMD")
+ENDIF (WITH_LIBMODULEMD)
 
 # Threaded XZ Compression
 # Note: This option is disabled by default, because Createrepo_c
@@ -118,28 +132,25 @@
 SET (VERSION "${CR_MAJOR}.${CR_MINOR}.${CR_PATCH}")
 message("Package version: ${VERSION}")
 
-
-# Default python version
-if (NOT PYTHON_DESIRED)
-    set (PYTHON_DESIRED "2")
-endif()
-
 # Other files
 
-pkg_check_modules(BASHCOMP bash-completion)
-if (BASHCOMP_FOUND)
-    execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=completionsdir bash-completion OUTPUT_VARIABLE BASHCOMP_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
-    message("Bash completion directory: ${BASHCOMP_DIR}")
-    INSTALL(FILES createrepo_c.bash DESTINATION ${BASHCOMP_DIR} RENAME createrepo_c)
-    INSTALL(CODE "
-        execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/mergerepo_c)
-        execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/modifyrepo_c)
-        execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/sqliterepo_c)
-        ")
-ELSE (BASHCOMP_FOUND)
-    INSTALL(FILES createrepo_c.bash DESTINATION "/etc/bash_completion.d")
-    message("Bash completion directory: /etc/bash_completion.d")
-endif (BASHCOMP_FOUND)
+OPTION(ENABLE_BASHCOMP "Install Bash autocompletions?" ON)
+IF (ENABLE_BASHCOMP)
+    pkg_check_modules(BASHCOMP bash-completion)
+    IF (BASHCOMP_FOUND)
+        execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=completionsdir bash-completion OUTPUT_VARIABLE BASHCOMP_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
+        message("Bash completion directory: ${BASHCOMP_DIR}")
+        INSTALL(FILES createrepo_c.bash DESTINATION ${BASHCOMP_DIR} RENAME createrepo_c)
+        INSTALL(CODE "
+            execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/mergerepo_c)
+            execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/modifyrepo_c)
+            execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/sqliterepo_c)
+            ")
+    ELSEIF (BASHCOMP_FOUND)
+        INSTALL(FILES createrepo_c.bash DESTINATION "/etc/bash_completion.d")
+        message("Bash completion directory: /etc/bash_completion.d")
+    ENDIF (BASHCOMP_FOUND)
+ENDIF (ENABLE_BASHCOMP)
 
 
 # Gen manpage
