=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
 ADD_EXECUTABLE(test_load_metadata test_load_metadata.c)
 TARGET_LINK_LIBRARIES(test_load_metadata libcreaterepo_c ${GLIB2_LIBRARIES})
 ADD_DEPENDENCIES(tests test_load_metadata)
+
+ADD_EXECUTABLE(test_locate_metadata test_locate_metadata.c)
+TARGET_LINK_LIBRARIES(test_locate_metadata libcreaterepo_c ${GLIB2_LIBRARIES})
+ADD_DEPENDENCIES(tests test_locate_metadata)
 
 ADD_EXECUTABLE(test_misc test_misc.c)
 TARGET_LINK_LIBRARIES(test_misc libcreaterepo_c ${GLIB2_LIBRARIES})
@@ -34,6 +38,22 @@
 TARGET_LINK_LIBRARIES(test_xml_parser_updateinfo libcreaterepo_c ${GLIB2_LIBRARIES})
 ADD_DEPENDENCIES(tests test_xml_parser_updateinfo)
 
+ADD_EXECUTABLE(test_xml_dump test_xml_dump.c)
+TARGET_LINK_LIBRARIES(test_xml_dump libcreaterepo_c ${GLIB2_LIBRARIES})
+ADD_DEPENDENCIES(tests test_xml_dump)
+
+ADD_EXECUTABLE(test_xml_dump_primary test_xml_dump_primary.c)
+TARGET_LINK_LIBRARIES(test_xml_dump_primary libcreaterepo_c ${GLIB2_LIBRARIES})
+ADD_DEPENDENCIES(tests test_xml_dump_primary)
+
+ADD_EXECUTABLE(test_koji test_koji.c)
+TARGET_LINK_LIBRARIES(test_koji libcreaterepo_c ${GLIB2_LIBRARIES})
+ADD_DEPENDENCIES(tests test_koji)
+
+ADD_EXECUTABLE(test_modifyrepo_shared test_modifyrepo_shared.c)
+TARGET_LINK_LIBRARIES(test_modifyrepo_shared libcreaterepo_c ${GLIB2_LIBRARIES})
+ADD_DEPENDENCIES(tests test_modifyrepo_shared)
+
 CONFIGURE_FILE("run_gtester.sh.in"  "${CMAKE_BINARY_DIR}/tests/run_gtester.sh")
 ADD_TEST(test_main run_gtester.sh)
