=== debian/changelog ===
createrepo-c (0.17.0-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:10:13 +0000

createrepo-c (0.17.0-1build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:29:05 +0000

createrepo-c (0.17.0-1) unstable; urgency=medium

  * New upstream version:
    - update the python-path patch
    - explicitly enable delta RPM support, since it is off by default now
    - update the library symbols file
  * Add the years 2020 and 2021 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Fri, 12 Feb 2021 02:14:01 +0200
