=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: createrepo-c
 Section: utils
 Priority: optional
-Maintainer: Peter Pentchev <roam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
  bash-completion,
  check <!nocheck>,
@@ -25,7 +26,7 @@
  rpm <!nocheck>,
  zchunk <!nocheck>,
  zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/rpm-software-management/createrepo_c/
 #Vcs-Git: https://gitlab.com/confget/confget.git -b debian
 #Vcs-Browser: https://gitlab.com/confget/confget/tree/debian
