=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 %:
 	dh "$@" --buildsystem cmake
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DENABLE_DRPM=ON
+
 execute_after_dh_auto_test:
 	env PYTHONPATH='obj-${MARCH}/src/python' PATH="${CURDIR}/obj-${MARCH}/src:$$PATH" python3 -B '$D/tests/repotest.py' --source '$D/tests/pkg/foo-0.1.0' --spec '$D/tests/pkg/foo.spec'
