=== debian/changelog ===
createrepo-c (0.17.3-5) unstable; urgency=medium

  * Add the const-libxml2 upstream patch to fix FTBFS with a recent
    version of libxml2 which now returns a pointer to a const structure.
  * Add the sqlite-libxml2 upstream patch to fix another GCC 13 const
    warning/error. Closes: #1074321
  * Add the year 2024 to my debian/* copyright notice.
  * Use X-DH-Compat instead of debian/compat.
  * Let debhelper add some default dependencies automatically.
  * Use dpkg's default.mk in the rules file.
  * Reflow a rules file line for clarity.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF package metadata.
  * Refresh the Python code style of the autopkgtest runner.

 -- Peter Pentchev <roam@debian.org>  Fri, 28 Jun 2024 12:28:10 +0300

createrepo-c (0.17.3-4) unstable; urgency=medium

  * Fix time-print.patch for armhf/armel

 -- Luca Boccassi <bluca@debian.org>  Sun, 14 Apr 2024 15:27:33 +0100

createrepo-c (0.17.3-3) unstable; urgency=medium

  * Team upload.
  * Move to team maintenance
  * Add patch to fix FTBFS due to missing include (Closes: #1066292)
  * Add patch to fix printing 64bit time_t
  * Bump Standards-Version to 4.7.0, no changes
  * Remove egg-info on dh_auto_clean (Closes: #1045117)

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Apr 2024 15:29:16 +0100

createrepo-c (0.17.3-2) unstable; urgency=medium

  * Fix FTBFS with Python 3.11: use importlib.resources.files() instead of
    the deprecated .path(). Closes: #1027839, inspired by a patch by
    Sebastiaan Couwenber
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Fri, 06 Jan 2023 00:16:32 +0200

createrepo-c (0.17.3-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * Use debhelper compat 14 for the CMake fixes and add LD_LIBRARY_PATH
    to the build-time test's environment.
  * New upstream release:
    - uses pkg-config instead of the custom CMake "find a library" files
    - uses Python's unittest module instead of nose to run the tests, so
      drop the nosetests3 patch; Closes: #1018332
    - refresh the python-path patch
    - add python3-setuptools and python3-skbuild as build-time dependencies
    - add the python-skbuild-path and python-platlib-debian patches
  * Add the year 2022 to my debian/* copyright notice.
  * Declare compliance with Policy 4.6.1 with no changes.
  * Also drop python3-nose as a dependency for libcreaterepo-c-dev.

 -- Peter Pentchev <roam@debian.org>  Mon, 05 Sep 2022 16:28:57 +0300
