=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: createrepo-c
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Peter Pentchev <roam@debian.org>,
 Build-Depends:
  bash-completion,
  check <!nocheck>,
  cmake,
- debhelper-compat (= 13),
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
  dh-sequence-python3,
+ dpkg-build-api (= 1),
  libbz2-dev,
  libcurl4-openssl-dev,
  libdrpm-dev,
@@ -22,22 +24,22 @@
  libxml2-dev,
  libzck-dev,
  python3-dev,
- python3-nose <!nocheck>,
+ python3-click <!nocheck>,
+ python3-setuptools,
+ python3-skbuild,
  rpm <!nocheck>,
  zchunk <!nocheck>,
  zlib1g-dev
-Standards-Version: 4.5.1
+X-DH-Compat: 14
+Standards-Version: 4.7.0
 Homepage: https://github.com/rpm-software-management/createrepo_c/
-#Vcs-Git: https://gitlab.com/confget/confget.git -b debian
-#Vcs-Browser: https://gitlab.com/confget/confget/tree/debian
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/createrepo-c.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/createrepo-c
 
 Package: createrepo-c
 Architecture: any
 Depends:
  libcreaterepo-c0 (= ${binary:Version}),
- ${shlibs:Depends},
- ${misc:Depends}
 Multi-Arch: foreign
 Description: tool to create RPM repository metadata (C implementation)
  The createrepo_c tool generates the repodata directory and XML metadata that
@@ -50,7 +52,6 @@
 Package: libcreaterepo-c0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: library for creating RPM repository metadata
  The createrepo tool generates the repodata directory and XML metadata that
@@ -74,9 +75,7 @@
  libssl-dev,
  libsqlite3-dev,
  libxml2-dev,
- python3-nose,
  zlib1g-dev,
- ${misc:Depends}
 Multi-Arch: same
 Description: library for creating RPM repository metadata (development)
  The createrepo tool generates the repodata directory and XML metadata that
@@ -91,9 +90,6 @@
 Architecture: any
 Depends:
  libcreaterepo-c0 (= ${binary:Version}),
- ${python3:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
 Multi-Arch: foreign
 Description: library for creating RPM repository metadata (Python bindings)
  The createrepo tool generates the repodata directory and XML metadata that
