=== debian/tests/control ===
Test-Command: python3 debian/tests/repotest.py --source debian/tests/pkg/foo-0.1.0 --spec debian/tests/pkg/foo.spec
Depends: @, gcc, make, python3, python3-click, rpm, tar
Restrictions: allow-stderr
Features: test-name=repotest
